<!-- Source: https://docs.geopera.com/api-reference/operations/provenance · Markdown for LLMs -->

<!-- AUTO-GENERATED by scripts/generate-api-reference.cjs from the committed OpenAPI spec. Do not edit by hand. -->

# Provenance operations

Lineage and provenance of derived data.

Each operation below is reachable at `POST /v1/op/{operation_id}` or the resource path `POST /v1/{resource}/{action}`, with a Bearer token (a `gpra_` API key or a session token). Back to the [Operations Reference](/api-reference/operations) index.

## `provenance.get`

| | |
|---|---|
| **Scope** | `provenance:read` |
| **Side-effect** | read |
| **HTTP** | `POST /v1/op/provenance.get`  ·  `POST /v1/provenance/get` |
| **Python / TypeScript** | `client.provenance.get(…)` |
| **CLI** | `geopera provenance get …` |

**Request** — `LineageGetInput`

| Field | Type | Required | Description |
|---|---|---|---|
| `entity_type` | string | yes | Root node type: item \| order \| processing_job \| collection \| project |
| `entity_id` | string | yes | Root entity id |
| `direction` | string | — | up=ancestors, down=descendants, both |
| `max_depth` | integer | — |  |

**Response** — `LineageGetOutput`.
